Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Operator.Operations
Class IntFlipMutation

    java.lang.Object
      Operator.Operations.MutationOperation
          Operator.Operations.IntFlipMutation

All Implemented Interfaces:
  Operation, ParameterI, Stochastic

    public class IntFlipMutation

extends MutationOperation

IntFlipMutation does integer mutation

Author:
  Conor

Field Summary

Fields inherited from class Operator.Operations.MutationOperation
`fitnessFunction, noOfMutationCalls, probability, rng`

Constructor Summary
`IntFlipMutation(double prob, RandomNumberGenerator rng)` Creates a new instance of IntFlipMutation
`IntFlipMutation(RandomNumberGenerator rng, java.util.Properties p)` New instance

Method Summary
`void` | `doOperation(Individual operand)` Calls doMutation(GEIndividual c) and then calls Individual.invalidate()
`void` | `doOperation(java.util.List<Individual> operands)` Performs the operation on the list passed

Methods inherited from class Operator.Operations.MutationOperation
`getRNG, setFitnessFunction, setProperties, setRNG`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntFlipMutation

    public IntFlipMutation(double prob,
                           RandomNumberGenerator rng)

  Creates a new instance of IntFlipMutation

  Parameters:
    `prob` - mutation probability
    `rng` - random number generator

### IntFlipMutation

    public IntFlipMutation(RandomNumberGenerator rng,
                           java.util.Properties p)

  New instance

  Parameters:
    `rng` - random number generator
    `p` - properties

Method Detail

### doOperation

    public void doOperation(java.util.List<Individual> operands)

  Description copied from interface: `Operation`
  Performs the operation on the list passed

  Specified by:
    `doOperation` in interface `Operation`
  Specified by:
    `doOperation` in class `MutationOperation`
  Parameters:
    `operands` - operands to be operated on

### doOperation

    public void doOperation(Individual operand)

  Calls doMutation(GEIndividual c) and then calls Individual.invalidate()

  Specified by:
    `doOperation` in interface `Operation`
  Specified by:
    `doOperation` in class `MutationOperation`
  Parameters:
    `operand` - operand to operate on

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD